# par-affinity, Qpar-affinity

Specifies thread affinity. This feature is only available for ifort.

## Syntax

Linux: | -par-affinity=[modifier,...]type[,permute][,offset]

macOS: | None

Windows: | /Qpar-affinity:[modifier,...]type[,permute][,offset]

## Arguments

modifier | Is one of the following values: granularity={fine|thread|core|tile}, [no]respect, [no]verbose, [no]warnings, proclist=proc_list. The default is granularity=core, respect, and noverbose. For information on value proclist, see Thread Affinity Interface.
type | Indicates the thread affinity. This argument is required and must be one of the following values: compact, disabled, explicit, none, scatter, logical, physical. The default is none. Values logical and physical are deprecated. Use compact and scatter, respectively, with no permute value.
permute | Is a positive integer. You cannot use this argument with type setting explicit, none, or disabled. The default is 0.
offset | Is a positive integer. You cannot use this argument with type setting explicit, none, or disabled. The default is 0.

## Default

OFF | The thread affinity is determined by the run-time environment.

## Description

This option specifies thread affinity, which binds threads to physical processing units. It has the same effect as environment variable KMP_AFFINITY.

This option overrides the environment variable when both are specified.

This option only has an effect if the following is true:

- You have specified option [Q]parallel or option [q or Q]openmp (or both).

- You are compiling the main program.

### Note

This option may behave differently on Intel® microprocessors than on non-Intel microprocessors.

## IDE Equivalent

None

## Alternate Options

None

Parent topic: Offload Compilation, OpenMP*, and Parallel Processing Options

## See Also

parallel, Qparallel compiler option
qopt-report, Qopt-report compiler option (ifort)